<?php

namespace App\Policies;

use App\Permissions\Modules\Admin;
use App\Permissions\Modules\Analytics;
use App\Permissions\Modules\LabKit;
use App\Permissions\Modules\Orders;
// use App\Models\Admin Admins;
use Illuminate\Auth\Access\HandlesAuthorization;

class LabKitPolicy
{
    use HandlesAuthorization;
    private $class_name='LabKit';
    /**
     * Create a new policy instance.
     *
     * @return void
     */
    public function __construct()
    {
        //
    }
    public function add($user)
    {
        return $user->role->havePermission(LabKit::LABKIT_ADD);

    }
    public function edit($user)
    {
        return $user->role->havePermission(LabKit::LABKIT_EDIT);

    }
    public function delete($user)
    {
        return $user->role->havePermission(LabKit::LABKIT_DELETE);
    }
    public function list($user)
    {
        return $user->role->havePermission(LabKit::LABKIT_VIEW);
    }
    public function details($user){
        return $user->role->havePermission(LabKit::LABKIT_DETAIL);
    }
}
